%define name	ami
%define ver	1.0.11
%define rel	6mdk

# deosn't work with Gnome2 currently
%define withgnome 0

Summary: Korean IMS Ami
Name: %{name}
Version: %{ver}
Release: %{rel}
License: GPL
#Author: cdhwang@sr.hei.co.kr
Group: System/Internationalization
Source: http://www.kr.FreeBSD.org/~hwang/ami/ami-%{ver}.tar.bz2
Source1: http://www.kr.FreeBSD.org/~hwang/ami/hanja.dic.bz2
#
# Information on the patches from Jungshik Shin <jshin@mailaps.org>
#

# patch to enable input in UTF-8 mode, with the whole korean range
# of jamo characters -- pablo
Patch0: http://jshin.net/faq/ami-1.0.11.utf8.patch.gz
# patch for better interaction with Tk -- pablo
# taken from http://www.debian.or.kr/Lists-Archives/ami-200207/msg00003.html
Patch1: ami-1.0.11-tk.patch.bz2
URL: http://www.kr.freebsd.org/~hwang/ami/
#Provides: XIM
Requires: locales-ko
BuildRoot: %_tmppath/%{name}-root
BuildRequires: gdk-pixbuf-devel
%if %withgnome
BuildRequires: gnome-core-devel
%else
Obsoletes: ami-gnome
%endif

%description
Korean IMS Ami using gtk+ and Windowmaker dock mode.

%description -l ko
아미는 gtk+ 기반의 한글 입력기로, GNOME 애플릿 모드와 Windowmaker dock 모드를 
지원합니다.  GNOME 애플릿 모드 바이너리는 별도의 패키지로 배포됩니다.
(ami-gnome)

%if %withgnome
%package gnome
Summary: Korean IMS AMI, GNOME Applet mode
Group: System/Internationalization
Requires: locales-ko

%description gnome
Korean IMS Ami using gtk+, support gnome applet mode and Windowmaker dock mode.
this package contains gnome applet mode binary of AMI

%description -l ko gnome
아미는 gtk+ 기반의 한글 입력기로, GNOME 애플릿 모드와 Windowmaker dock 모드를 
지원합니다. 이 패키지는 아미의 GNOME 애플릿 모드 바이너리를 담고 있습니다.
%endif

%prep
%setup -q

%patch0 -p1 -b .PATCH_UTF8
%patch1 -p1 -b .PATCH_TK

%build
%if %withgnome
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-hangul-keyboard=2 \
	--enable-gnome-applet --sysconfdir=%{_sysconfdir}
%make
cp src/ami src/ami_applet
%make clean
%endif

CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{_prefix} --with-hangul-keyboard=2
%make
cd hanjadic
%make

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mkdir -p $RPM_BUILD_ROOT%{_datadir}/ami
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applets/Utility
mkdir -p $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities
mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/CORBA/servers

%if %withgnome
install -s -m 755 src/ami_applet $RPM_BUILD_ROOT%{_bindir}
%endif
install -s -m 755 hanjadic/hanja-hwp2ami $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 src/ami $RPM_BUILD_ROOT%{_bindir}
(cd $RPM_BUILD_ROOT%{_bindir}; ln -sf ami wmami)
install -m 644 gtkrc $RPM_BUILD_ROOT%{_datadir}/ami
install -m 644 ami.kdelnk $RPM_BUILD_ROOT%{_datadir}/applnk/Utilities
install -m 644 ami.desktop $RPM_BUILD_ROOT%{_datadir}/applets/Utility
install -m 644 ami.gnorba $RPM_BUILD_ROOT%{_sysconfdir}/CORBA/servers
chmod 644 pix/*/*
chmod a+X pix/*
cp -var pix $RPM_BUILD_ROOT%{_datadir}/ami/
bzcat %SOURCE1 > $RPM_BUILD_ROOT%{_datadir}/ami/hanja.dic

#(peroyvind) remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_sysconfdir}/CORBA/servers/ami.gnorba
rm -f $RPM_BUILD_ROOT%{_datadir}/applets/Utility/ami.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc README* COPYING ChangeLog AUTHORS THANKS 
%{_bindir}/ami
%{_bindir}/wmami
%{_bindir}/hanja-hwp2ami
%{_datadir}/ami
%{_datadir}/applnk/Utilities/ami.kdelnk

%if %withgnome
%files gnome
%defattr(-,root,root)
%{_bindir}/ami_applet
%{_datadir}/applets/Utility/*.desktop
%{_sysconfdir}/CORBA/servers/*
%endif

%changelog
* Wed Aug 04 2004 Thierry Vignaud <tvignaud@mandrakesoft.com> 1.0.11-6mdk
- fix description
- fix typo in changelog

* Thu Jun 05 2003 Per yvind Karlsen <peroyvind@sintrax.net> 1.0.11-5mdk
- fix unpackaged files
- macroize

* Sun Oct 27 2002 Stefan van der Eijk <stefan@eijk.nu> 1.0.11-4mdk
- fix build (BuildRequires gdk-pixbuf-devel is needed with withgnome 0)

* Thu Aug 29 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.11-3mdk
- rebuild without the gnome module (it doesn't work with Gnome2)
  and made "ami" obsoletes "ami-gnome"

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.0.11-2mdk
- BuildRequires: gdk-pixbuf-devel
- Removed redundant BuildRequires
- Replaced reference to "rpm source dir"

* Wed Aug 08 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.11-1mdk
- updated to 1.0.11

* Tue May 01 2001 David BAUDENS <baudens@mandrakesoft.com> 1.0.9-2mdk
- Use %%_tmppath for BuildRoot

* Tue Mar 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.0.9-1mdk
- updated to 1.0.9
- converted descriptions to UTF-8
- added hanja.dic to rpm package

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.4-3mdk
- automatically added BuildRequires

* Mon May 15 2000 Pixel <pixel@mandrakesoft.com> 1.0.4-2mdk
- add BuildRequires: gnome-core-devel

* Wed Mar 22 2000 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.4
- new Groups: naming
- made it requires locales-ko

* Fri Dec 10 1999 Pablo Saratxaga <pablo@mandrakesoft.com>
- updated to 1.0.1

* Mon Aug  2 1999 ChiDeok Hwang <cdhwang@sr.hei.co.kr>
- sync with new version
- remove obsolete patches
- install hanja-hwp2ami

* Mon Aug  2 1999 SiO4, Y7N <sio4@linuxkorea.co.kr>
- fix RPM group.
- add some patch(default keyboard is 2 bulsik, README mis-spell).
- use --prefix=%{prefix} option and remove gnome option for KDE users.
- move applet mode binary to individual package(ami-applet) for gnome users.
  split another package for data(hanja.dic)?
- added some entries on SPEC for korean users.

* Mon Aug  2 1999 HyunChul Kim, <mindgame@postech.ac.kr>
- initial package
